local source_mapping = {
	buffer = "[Buffer]",
	nvim_lsp = "[LSP]",
	nvim_lua = "[Lua]",
	luasnip = "[Snip]",
	path = "[Path]",
}
return {
	"saghen/blink.cmp",
	lazy = false,
	version = "1.*",
	dependencies = {
		{
			"L3MON4D3/LuaSnip",
			version = "v2.*",
			build = "make install_jsregexp",
			dependencies = { "rafamadriz/friendly-snippets" },
			config = function()
				require("luasnip.loaders.from_vscode").lazy_load()
				require("luasnip.loaders.from_vscode").lazy_load("./snippets")
			end,
		},
	},
	opts = {
		keymap = {
			preset = "enter",
		},
		completion = {
			list = {
				selection = {
					preselect = false,
					auto_insert = false,
				},
			},
			ghost_text = {
				enabled = true,
			},
		},
		cmdline = {
			keymap = {
				preset = "inherit",
				['<Tab>'] = { 'show', 'accept' },
			},
			completion = {
				menu = { auto_show = false },
				ghost_text = { enabled = true },
			},
			sources = { "cmdline" },
		},
		snippets = { preset = "luasnip" },
		sources = {
			default = { "lsp", "path", "snippets", "buffer", "codecompanion" },
		},
	},
}
